Subject: [multimob] Comments on draft-schmidt-multimob-fmipv6-pfmipv6-multicast-06

From: <[email-masked]>
Date: Sun, 29 Jul 2012 22:21:30 +0000

Hi Thomas, Matthias, Rajeev, Gorry,

I have read draft-schmidt-multimob-fmipv6-pfmipv6-multicast-06
 and I have some comments:

Comment_1:  The draft is useful since it is providing a solution for seamless and fast handover for multicast applications by extending existing seamless and fast handover solutions used for unicast applications, which are the Mobile IPv6 Fast Handovers (FMIPv6) specified in RFC5568 and the Fast Handovers for Proxy Mobile IPv6 (PFMIPv6) specified in RFC5949.

Comment_2: A motivation section is missing from the draft. In my opinion it is very useful to include such section in this draft. In particular, this draft mentions that a seamless and fast handover solutions is needed for multicast applications like IPTV. Other scenarios and applications that should probably be mentioned and that will make use of such solutions are the Public Protection and Disaster Relief (PPDR) scenarios & application types, where mobile multicast communications need to be supported between members of rescue teams, police officers, fire brigade teams, paramedic teams, command control offices in order to support the protection and health of citizens.
In particular three main PPDR scenarios & application types could be distinguished:

1) City security scenario:  that can be used to support the day to day safety and security of citizens.

2) Disaster recovery scenario that deals with the protection of people and rescue teams during large scale natural or man-made disasters, like flooding, earth quakes and nuclear disasters.

3) Temporary Protection PPDR scenario that deals with safety and security of citizens visiting large planned events like football matches, pop concerts and protest demonstrations.

Comment_3: The draft is not clear about the main differences between this draft and draft-ietf-multimob-fast-handover-01. From what I understood after reading both drafts:

o) draft-ietf-multimob-fast-handover-01 focuses on the extension of the Proxy Mobile IPv6 (PMIPv6) RFC5213, and the “Base deployment for multicast listener support in Proxy Mobile IPv6 (PMIPv6) Domain” RFC6224, to achieve fast handover for mobile multicast applications, while:

o) draft-schmidt-multimob-fmipv6-pfmipv6-multicast-06 focuses on the extensions of Mobile IPv6 Fast Handovers (FMIPv6) specified in RFC5568 and the Fast Handovers for Peoxy Mobile IPv6 (PFMIPv6) specified in RFC5949 to achieve fast handover for mobile multicast applications.
Can you please elaborate?

Best regards,
Georgios

---

From: "Thomas C. Schmidt" <[email-masked]>
Date: Sun, 29 Jul 2012 15:57:29 -0700

Hi Georgios,

many thanks for your comments, please see answers inline.

> Comment_1:  The draft is useful since it is providing a solution for seamless and fast handover for multicast applications by extending existing seamless and fast handover solutions used for unicas…

Thanks again, we believe so, too ;)

> 3) Temporary Protection PPDR scenario that deals with safety and security of citizens visiting large planned events like football matches, pop concerts and protest demonstrations.

Thanks for this pointer: disaster scenarios are indeed a good motivation 
for fast handover operations. We can add this.

> Can you please elaborate?

This is indeed largely misleading, in particular the name 
"draft-ietf-multimob-fast-handover", which I have pointed out several 
times. From the unicast systematic, "Fast Handover" is coined to (P)FMIP 
- so I agree that this terminology is misleading.

 From the protocol perspective, there are two approaches of accelerated 
handover support in PMIP:

  * The *Fast*Handover* between ARs/MAGs (in unicast (P)FMIP), which our 
draft extends to Multicast.

  * The *Transient*Binding* that transfers context from pMAG via LMA to 
nMAG (in unicast RFC 6058), which draft-ietf-multimob-fast-handover 
follows in part.

There was a general agreement (including both ADs) to progress both 
drafts in the multicast context, but chairs haven't called for adoption 
of draft-schmidt-multimob-fmipv6-pfmipv6-multicast, yet.

We will discuss in Multimob tomorrow.

Thanks,

Thomas

-- 

Prof. Dr. Thomas C. Schmidt
° Hamburg University of Applied Sciences                   Berliner Tor 7 °
° Dept. Informatik, Internet Technologies Group    20099 Hamburg, Germany °
° http://www.haw-hamburg.de/inet                   Fon: +49-40-42875-8452 °
° http://www.informatik.haw-hamburg.de/~schmidt    Fax: +49-40-42875-8409 °

---

From: <[email-masked]>
Date: Mon, 30 Jul 2012 15:00:24 +0000

Hi Thomas,

Please see in line!

> ________________________________________
>Van: [email-masked] [[email-masked]] namens Thomas C. Schmidt
 >[[email-masked]]
>Verzonden: maandag 30 juli 2012 0:57
>Aan: [email-masked]
>Onderwerp: Re: [multimob] Comments on   draft-schmidt-multimob-fmipv6-pfmipv6-multicast-06

>for fast handover operations. We can add this.

Georgios: Great, I can provide more details on the above!

>Thomas

Georgios: Thanks for the explanation!

Best regards,
Georgios

--

Prof. Dr. Thomas C. Schmidt
° Hamburg University of Applied Sciences                   Berliner Tor 7 °
° Dept. Informatik, Internet Technologies Group    20099 Hamburg, Germany °
° http://www.haw-hamburg.de/inet                   Fon: +49-40-42875-8452 °
° http://www.informatik.haw-hamburg.de/~schmidt    Fax: +49-40-42875-8409 °
_______________________________________________
multimob mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/multimob